SAMMLUNG VON WIDGETS Deepin

Widget Igatjens. Erstellt von Isaias Gätjens (Zwitschern)

Conky basierte Widgets

A muchos nos gusta tener widgets sobre el fondo de nuestro escritorio. Con esa finalidad hemos creado un Paket Debütantin mit einer großen Sammlung von Widgets aller Art. Diese Widgets werden im Programm "Conky Manager" ausgewählt und konfiguriert, das im selben Paket enthalten ist.

Die neueste Version von Deepin Widgets ist 2.2. Mehrere Stile und andere Abschnitte wurden zusammen mit einer Reihe von Korrekturen hinzugefügt.

INSTALLATION

Laden Sie das Paket aus dem Repository herunter und installieren Sie es Deepines luego ejecutar el comando update && sudo apt sudo apt-install-Widgets conkys . Éste ya se encarga de agregar todos los paquetes necesarios para su correcto funcionamiento (conky-manager, conky, sensores, etc).

Sobald das Paket installiert ist, können wir die meisten integrierten Widgets verwenden. Es gibt jedoch bestimmte Widgets, für deren ordnungsgemäße Funktion einige zusätzliche Änderungen erforderlich sind. Was wir später im Detail erklären werden.

BETRIEB

El programa de Conky Manager lista todos los widgets disponibles. Nos podemos desplazar entre ellos y seleccionar aquellos que queramos, con los iconos de la parte superior izquierda [Siehe Abbildung 1], o simplemente moviéndonos con el ratón y marcando el cuadrado para elegirlo . Puedes activar todos aquellos que desees, con el único pero de que se pueden solapar. Sin embargo, puedes los reubicar los widgets a lo largo del escritorio del modo que quieras.

Bild 1. Conky-Manager-Schnittstelle


Die Widgets bleiben aktiv, bis Sie sich abmelden oder das Aktivierungsfeld deaktivieren. Um sie dauerhaft zu machen, müssen Sie die Option zum Starten von Conky zu Beginn der Sitzung aktivieren (siehe Abbildung unten).

Abbildung 2. Aktivieren Conky beim Start

Con Conky Manager puedes cambiar tanto la posición, como el color de fondo de los widgets. El tamaño también puede ser modificado, pero puede hacer que los elementos del widget no encajen correctamente desde el botón de ajustes. Muchos de ellos, son colecciones de conkys (widgets) diseñados de forma que encajan mejor visualmente entre si. Aquellos que pertenecen a la misma colección de widgets tienen el mismo nombre entre la 3ª y 4ª barra «/». Como ejemplo este conky: «~/.conky/Originales/ Stylish + To-do-Liste /config / cpu „, wo alle diese Widgets Stilvolle + To-do-Liste in dieser Position sind sie aus der gleichen Kollektion.

JUSTIERUNGEN WIDGETS

  • Widgets, die Beispieldatennetzwerk: Auf den meisten Computern sollten Widgets, die Diagramme des Netzwerkverkehrs anzeigen, einwandfrei funktionieren.
    Wenn dies nicht der Fall ist, müssen Sie zur Lösung des Problems den Namen des Netzwerks, das in Conky Manager (wlp3s0) standardmäßig enthalten ist, durch den Ihres Computers ersetzen. Dazu durchsuchen wir das Terminal mit dem folgenden Befehl nach dem Namen Ihres Netzwerks: nmcli Verbindung anzeigen. Sie erhalten den Namen in der Spalte "Gerät". Wir gehen zu Conky ManagerNetwork / Interface Settings und ersetzen "wlp3s0" durch den Netzwerknamen, den der Befehl zurückgegeben hat.
  • Do-Liste Widget (oder Anmerkungen).Um Notizen mit dem Widget "~ / .conky / Original / Stylish + To-do-list / Config" zu erstellen, müssen Sie eine Datei mit dem Namen notes.txt (ohne Großbuchstaben) in Ihrem Ordner / home / erstellen. Um Ihre Notizen zu aktualisieren, schreiben Sie sie in diese Datei und wenn Sie sie speichern, werden sie im Widget aktualisiert.
  • Musik-Widget (~ / .conky / Originals / Panels_in_boxes / Config / mediaplayer_rc) Zeigt die Daten der Songs an, die gerade abgespielt werden, jedoch nur mit dem Clementine-Musikplayer. Um dieses Widget verwenden zu können, müssen Sie diesen Player mit installieren sudo apt installieren Clementine
Widget Paneles_en_cajas
5 10 Stimmen
Bewerten Sie den Artikel
 
Zeichnen
Bericht des
35 Reacciones
populärste
Neuer Älter
Meinung aus dem Artikel
Alle Kommentare anzeigen
Car
Car (@car)
1 año atrás

Felicitaciones !!!! excelente trabajo, se del tiempo que dedicaron tu y Isaías Gätjens M. bei dieser Aufgabe; eine Umarmung.

f12019
f12019 (@f12019)
1 año atrás

Sehr guter Freund Dank für diese

Akiba Illusion
Akiba Illusion (@akibaillusion)
1 año atrás

+1000000000000000000000000000

Nits
Nits (@elblogdenits)
1 año atrás

Expectacular! Dank Jorge für dieses laburito!

Juan Martín Runge
Juan Martín Runge (@juanmartinrunge)
1 año atrás

Hallo! Ich wollte es auf 15.9.2 installieren und es gibt mir Folgendes:

[email protected]:~$ sudo apt install conkys-widgets
Paketlisten werden gelesen ... Fertig
Abhängigkeitsbaum
Lesen state information ... Fertig
Kann keine Packung installieren. Dies kann bedeuten, dass
Sie haben nach einer unmöglichen Situation gefragt oder wenn Sie die Distribution verwenden
instabil, dass einige erforderliche Pakete noch nicht erstellt wurden oder werden
Sie haben von „Incoming“ genommen.
Die folgenden Informationen können zur Lösung der Situation beitragen:

Die folgenden Pakete haben nicht erfüllte Abhängigkeiten:
conkys-widgets : Depende: conky-manager pero no es instalable
E: Probleme konnten nicht behoben werden, Sie haben defekte Pakete behalten.

Ich habe etwas falsch in meinen Quellen oder ist es möglicherweise nicht für diese Version?

Thanks!

Isaías Gätjens M
Isaías Gätjens M (@igatjens)
Admin
Respondiendo a  Juan Martín Runge
1 año atrás

Hallo, es ist auch wichtig, die Repositorys kurz vor der Installation zu aktualisieren

update && sudo apt sudo apt-install-Widgets conkys

Und wie Jorge angibt, fehlen in der Beta-Version von Deepin Abhängigkeiten.

Juan Martín Runge
Juan Martín Runge (@juanmartinrunge)
Respondiendo a  Isaías Gätjens M
1 año atrás

Vielen Dank an beide. Als ich es herunterlud, hatte ich keine Ahnung, dass es Beta war, schnüffeln. Kann ich in den Stall gehen, ohne etwas neu zu installieren?

Viele Grüße!

Eli
Eli (@eli)
Admin
1 año atrás

Interesantisimo Jorge KenobiSehr gut erklärt.

ariel campos
ariel campos (@arielcampos)
1 año atrás

Hallo! Ich habe es in Deepin 15.10 installiert und einige können nicht auf Transparenzen angewendet werden, andere schließen und andere haben keine Symbole. Wie können sie repariert werden? Dankeschön

luisrosales0130
luisrosales0130 (@luisrosales0130)
1 año atrás

Guten Tag in Deepin 15.10 werden keine Transparenzen angewendet und die Widgets verschwinden. Ich hoffe, sie können bald gelöst werden

Isaías Gätjens M
Isaías Gätjens M (@igatjens)
Admin
Respondiendo a  luisrosales0130
1 año atrás

Hallo, wie Jorge in der Antwort auf den vorherigen Kommentar angibt, sind mit der Änderung des Fenstermanagers in Deepin 15.10 viele der Konfigurationen veraltet. Wir haben bereits ein Update vorbereitet, das diese Probleme löst, und es wird im neuen kompatiblen Deepines-Repository verfügbar sein mit dem neuen Deepin 15.10, der in den kommenden Tagen veröffentlicht wird.

Fabio Barbosa
Fabio Barbosa (@fabiobarbosa)
1 año atrás

Es ist möglich, die Widgets ins Web zu verschieben. Oder welche Stimmen hier im ersten Bild zu sehen sind:

Isaías Gätjens M
Isaías Gätjens M (@igatjens)
Admin
Respondiendo a  Fabio Barbosa
1 año atrás

Oi! Ich verstehe kein Portugiesisch, ich benutze oder Google Übersetzer.

Sie können verschieben, oder mit conky manager können Sie jedes Widget unabhängig verschieben.

Vou com um versuchen Video zu zeigen.

Isaías Gätjens M
Isaías Gätjens M (@igatjens)
Admin
Respondiendo a  Fabio Barbosa
1 año atrás

Download oder Video hier não deu certo, eu passo um link então.

https://photos.app.goo.gl/oZqzSaqSpzPyhpw89

jesusalbertomaria
jesusalbertomaria (@jesusalbertomaria)
1 año atrás

lo instale siguiendo los pasos y ni aun así me sale siquiera el Managger conky

Isaías Gätjens M
Isaías Gätjens M (@igatjens)
Admin
Respondiendo a  jesusalbertomaria
1 año atrás

Hallo, bitte zeigen Sie die Fehlermeldung und weitere Details an. Die von Ihnen angegebenen Daten reichen nicht aus, um das Problem zu ermitteln.

jesusalbertomaria
jesusalbertomaria (@jesusalbertomaria)
Respondiendo a  Isaías Gätjens M
1 año atrás

Ich kann Ihnen den Fehler nicht anzeigen, da er laut normal installiert wurde, aber wenn ich im persönlichen Ordner und sogar in versteckten Dateien suche, wird er nicht angezeigt, dh ich habe die Schritte befolgt, aber im Moment des Starts wird nichts angezeigt.

Isaías Gätjens M
Isaías Gätjens M (@igatjens)
Admin
Respondiendo a  jesusalbertomaria
1 año atrás

OK, ich werde versuchen zu erraten, dass Sie es nicht ermöglichen. Zum Beispiel hätte es mir geholfen, den Inhalt des persönlichen Ordners oder Screenshots des Installationsprozesses zu sehen, den Sie durchgeführt haben. All dies sind Details mit nützlichen Informationen.

Führen Sie die folgenden Befehle nacheinander aus. Überspringen Sie keine und zeigen Sie die Ergebnisse an.

-a lsb_release

ls -la /etc/apt/[sources.list,trusted.gpg-lex.europa.eu.d/ && sudo debconf-show deepines-repository

mv ~ / ~ .conky / .conky _ $ (Datum +% Y-% m-% d% H% M% S)

Sudo apt Säuberung conkys-Widgets

update && sudo apt -f sudo apt installieren

update && sudo apt sudo apt installieren conky-all

update && sudo apt sudo apt-install-Widgets conkys

julio chalco
julio chalco (@juliochalco)
1 año atrás

Befehl nicht funktioniert

zarkofago
zarkofago (@zarkofago)
1 año atrás

Ich habe die Installation und Konfiguration bereits vorgenommen, die meisten Widgets funktionieren einwandfrei, aber ich habe ein Problem mit dem Netzwerk conky-iganjens-med-internet.conf, kleiner Bildschirm. Es kommt vor, dass mir keine Netzwerkinformationen angezeigt werden und wenn ich einer Änderung zustimme Der Name der Netzwerkschnittstelle sagt mir, dass dieses Widget nicht mit der Netzwerkschnittstelle bearbeitet werden kann. Wie kann ich diese Anpassung vornehmen?

Isaías Gätjens M
Isaías Gätjens M (@igatjens)
Admin
Respondiendo a  zarkofago
1 año atrás

Hallo, conky-igatjens-med-internet wurde entwickelt, um die Internetbandbreite und nicht die Netzwerkkarte zu messen. Dabei wird eine Skala verwendet, die unter dem Prozentsatz des Zentrums, der Referenzbandbreite oder der Skala angegeben ist manuell in conky-igatjens-000-settings.lua einstellen. Deshalb wird das Messgerät als Internet und nicht als Netzwerk bezeichnet.

Sie können die Einstellungen in conky-igatjens-000-settings.lua ändern. Ich stelle fest, dass dies keine einfachen, altmodischen Conkys sind, sondern komplexer und mit LUA-Programmierung. Der igatjens conky erkennt automatisch Netzwerkgeräte, dies kann jedoch in conky-igatjens-000-settings.lua geändert werden.

Ich empfehle Sie die Widget-Hilfe.

DeepinScreenshot_Seleccionar área_20200218092930.png
DeepinScreenshot_Seleccionar área_20200218093711.png
DeepinScreenshot_Seleccionar área_20200218093732.png
Isaías Gätjens M
Isaías Gätjens M (@igatjens)
Admin
Respondiendo a  zarkofago
1 año atrás

Ich füge hinzu, dass die Standardbandbreite beispielsweise 6 Mbit / s beträgt. Wenn die verwendete Bandbreite 60 Kbit / s beträgt, entspricht dies nur 1% von 6 Mbit / s. Das Folgende ist ein Beispiel für den normalen Widget-Betrieb.

robin morales
robin morales (@robinmorales)
10 meses atrás

funktioniert nicht am 15.11

Isaías Gätjens M
Isaías Gätjens M (@igatjens)
Admin
Respondiendo a  robin morales
10 meses atrás

Robin Moral

Hallo, bitte senden Sie einen Screenshot (Strg + Atl + A) der Fehlermeldung, um festzustellen, wo das Problem liegt.

Alvaric
Alvaric (@alvaric)
Respondiendo a  robin morales
10 meses atrás

Robin Moral Überprüfen Sie die Version @ Isaías aktualisiert die Version für diese Distribution

 

Spycam
Spycam (@spycam)
9 meses atrás

Guten Morgen zusammen.
Ich bin neu hier und danke im Voraus für die geleistete Arbeit.
Ich habe 'Conky' installiert, kann aber die AUFGABENLISTE nicht zum Lesen der Textdatei abrufen.
Jemand könnte dazu beitragen ... Schritt für Schritt zu zeigen ... wie es geht!

Isaías Gätjens M
Isaías Gätjens M (@igatjens)
Admin
Respondiendo a  Spycam
9 meses atrás

Spionage Kamera

Hallo, ich verstehe nicht, wo das Problem liegt. Können Sie es genauer erklären?

Isaías Gätjens M
Isaías Gätjens M (@igatjens)
Admin
Respondiendo a  Spycam
9 meses atrás

Spionage Kamera

Ich glaube ich habe verstanden, meinst du das?

Do-Liste Widget (oder Anmerkungen).Um Notizen mit dem Widget "~ / .conky / Original / Stylish + To-do-list / Config" zu erstellen, müssen Sie eine Datei mit dem Namen notes.txt (ohne Großbuchstaben) in Ihrem Ordner / home / erstellen. Um Ihre Notizen zu aktualisieren, schreiben Sie sie in diese Datei und wenn Sie sie speichern, werden sie im Widget aktualisiert.

Wenn dies der Fall ist, habe ich bereits überprüft, ob ein Problem vorliegt. Führen Sie die folgenden Befehle aus, um das Problem zu beheben.

Berühren Sie ~ / notes.txt

sed -i "s | /home/jorge/notes.txt | / home / $ (whoami) /notas.txt |" ~ / .conky / Originals / Stylish + To-Do-Liste / Config / Notizen

chmod + x ~ / .conky / Original / Stylish + Aufgabenliste / Skripte / viewnotes.sh

sed -i "s | notes.txt | notes.txt |" ~ / .conky / Originals / Stylish + To-Do-Liste / Scripts / viewnotes.sh

Fügen Sie nun eine Aufgabenliste in die Datei notes.txt ein, die sich in Ihrem Benutzerordner befindet.

In der nächsten Version von conkys-widget wird dieses Problem gelöst.

Grüße.

Spycam
Spycam (@spycam)
Respondiendo a  Isaías Gätjens M
9 meses atrás

Isaías Gätjens M. … Vielen Dank für die Antwort.

Ich werde es versuchen.

Spycam
Spycam (@spycam)
Respondiendo a  Isaías Gätjens M
9 meses atrás

@ igatjens… ausgezeichnete Arbeit, fPerfekt gesalbt!

Morthenx
Morthenx (@morthenx)
6 meses atrás

Hallo guter, guter Beitrag. aber wenn ich es benutze, zeigt es mir nicht das GPU-Widget oder die Temperatur auf der CPU. Vielen Dank!

Isaías Gätjens M
Isaías Gätjens M (@igatjens)
Admin
Respondiendo a  Morthenx
6 meses atrás

Morthenx

Hallo, die Option zum Aktivieren der Temperaturanzeige ist in den meisten Widgets standardmäßig deaktiviert, da eine Installation und Konfiguration erforderlich ist, die ebenfalls kein Rezept ist, und die Schritte häufig zwischen einem Computer und einem anderen wechseln, dh kompliziert sind.

GPU-Widgets gelten normalerweise nur für Nvidia-GPUs.

35
0
Wir würden gerne wissen, was Sie denken, nehmen Sie an der Diskussion teil.x